import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientFindManySchema as PatientFindManySchema } from '../findManyPatient.schema';
import { AppointmentFindManySchema as AppointmentFindManySchema } from '../findManyAppointment.schema';
import { StaffFindManySchema as StaffFindManySchema } from '../findManyStaff.schema';
import { NpiProviderFindManySchema as NpiProviderFindManySchema } from '../findManyNpiProvider.schema';
import { ClaimFindManySchema as ClaimFindManySchema } from '../findManyClaim.schema';
import { InsuranceCredentialFindManySchema as InsuranceCredentialFindManySchema } from '../findManyInsuranceCredential.schema';
import { ShoppingVendorFindManySchema as ShoppingVendorFindManySchema } from '../findManyShoppingVendor.schema';
import { PaymentFindManySchema as PaymentFindManySchema } from '../findManyPayment.schema';
import { DatabaseBackupFindManySchema as DatabaseBackupFindManySchema } from '../findManyDatabaseBackup.schema';
import { BackupDestinationFindManySchema as BackupDestinationFindManySchema } from '../findManyBackupDestination.schema';
import { NotificationFindManySchema as NotificationFindManySchema } from '../findManyNotification.schema';
import { CloudFolderFindManySchema as CloudFolderFindManySchema } from '../findManyCloudFolder.schema';
import { CloudFileFindManySchema as CloudFileFindManySchema } from '../findManyCloudFile.schema';
import { CommunicationFindManySchema as CommunicationFindManySchema } from '../findManyCommunication.schema';
import { TwilioSettingsArgsObjectSchema as TwilioSettingsArgsObjectSchema } from './TwilioSettingsArgs.schema';
import { AiSettingsArgsObjectSchema as AiSettingsArgsObjectSchema } from './AiSettingsArgs.schema';
import { OfficeHoursArgsObjectSchema as OfficeHoursArgsObjectSchema } from './OfficeHoursArgs.schema';
import { OfficeContactArgsObjectSchema as OfficeContactArgsObjectSchema } from './OfficeContactArgs.schema';
import { ProcedureTimeslotArgsObjectSchema as ProcedureTimeslotArgsObjectSchema } from './ProcedureTimeslotArgs.schema';
import { InsuranceContactFindManySchema as InsuranceContactFindManySchema } from '../findManyInsuranceContact.schema';
import { PatientConversationFindManySchema as PatientConversationFindManySchema } from '../findManyPatientConversation.schema';
import { LabRxTemplateFindManySchema as LabRxTemplateFindManySchema } from '../findManyLabRxTemplate.schema';
import { SeleniumSettingsArgsObjectSchema as SeleniumSettingsArgsObjectSchema } from './SeleniumSettingsArgs.schema';
import { UserCountOutputTypeArgsObjectSchema as UserCountOutputTypeArgsObjectSchema } from './UserCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  username: z.boolean().optional(),
  password: z.boolean().optional(),
  autoBackupEnabled: z.boolean().optional(),
  autoBackupHour: z.boolean().optional(),
  usbBackupEnabled: z.boolean().optional(),
  usbBackupHour: z.boolean().optional(),
  autoMhCheckEnabled: z.boolean().optional(),
  autoMhCheckDayOfWeek: z.boolean().optional(),
  autoMhCheckHour: z.boolean().optional(),
  patients: z.union([z.boolean(), z.lazy(() => PatientFindManySchema)]).optional(),
  appointments: z.union([z.boolean(), z.lazy(() => AppointmentFindManySchema)]).optional(),
  staff: z.union([z.boolean(), z.lazy(() => StaffFindManySchema)]).optional(),
  npiProviders: z.union([z.boolean(), z.lazy(() => NpiProviderFindManySchema)]).optional(),
  claims: z.union([z.boolean(), z.lazy(() => ClaimFindManySchema)]).optional(),
  insuranceCredentials: z.union([z.boolean(), z.lazy(() => InsuranceCredentialFindManySchema)]).optional(),
  shoppingVendors: z.union([z.boolean(), z.lazy(() => ShoppingVendorFindManySchema)]).optional(),
  updatedPayments: z.union([z.boolean(), z.lazy(() => PaymentFindManySchema)]).optional(),
  backups: z.union([z.boolean(), z.lazy(() => DatabaseBackupFindManySchema)]).optional(),
  backupDestinations: z.union([z.boolean(), z.lazy(() => BackupDestinationFindManySchema)]).optional(),
  notifications: z.union([z.boolean(), z.lazy(() => NotificationFindManySchema)]).optional(),
  cloudFolders: z.union([z.boolean(), z.lazy(() => CloudFolderFindManySchema)]).optional(),
  cloudFiles: z.union([z.boolean(), z.lazy(() => CloudFileFindManySchema)]).optional(),
  communications: z.union([z.boolean(), z.lazy(() => CommunicationFindManySchema)]).optional(),
  twilioSettings: z.union([z.boolean(), z.lazy(() => TwilioSettingsArgsObjectSchema)]).optional(),
  aiSettings: z.union([z.boolean(), z.lazy(() => AiSettingsArgsObjectSchema)]).optional(),
  officeHours: z.union([z.boolean(), z.lazy(() => OfficeHoursArgsObjectSchema)]).optional(),
  officeContact: z.union([z.boolean(), z.lazy(() => OfficeContactArgsObjectSchema)]).optional(),
  procedureTimeslot: z.union([z.boolean(), z.lazy(() => ProcedureTimeslotArgsObjectSchema)]).optional(),
  insuranceContacts: z.union([z.boolean(), z.lazy(() => InsuranceContactFindManySchema)]).optional(),
  patientConversations: z.union([z.boolean(), z.lazy(() => PatientConversationFindManySchema)]).optional(),
  labRxTemplates: z.union([z.boolean(), z.lazy(() => LabRxTemplateFindManySchema)]).optional(),
  seleniumSettings: z.union([z.boolean(), z.lazy(() => SeleniumSettingsArgsObjectSchema)]).optional(),
  _count: z.union([z.boolean(), z.lazy(() => UserCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const UserSelectObjectSchema: z.ZodType<Prisma.UserSelect> = makeSchema() as unknown as z.ZodType<Prisma.UserSelect>;
export const UserSelectObjectZodSchema = makeSchema();
